Android Clients

Requires Android 2.2+ for phone/handset version, and Android 3.1+ for Tablet/HD version. Both need Cortex processors (ARMv7) to run.

Below is *NOT* a full list of all the supported devices, but just for your information, and we'll update this list periodically.

Smartphone:

  • Dell Streak (7)
  • HTC Desire (HD)
  • HTC EVO
  • HTC Incredible
  • HTC One X
  • HTC ThunderBolt
  • HTC Sensation
  • LG Optimus 2X
  • Motorola Atrix
  • Motorola Droid
  • Nexus One
  • Nexus S
  • Samsung Galaxy S
  • Samaung Galaxy Note
  • T-Mobile myTouch 4G

Tablet:

  • Motorola Xoom
  • ASUS Eee Transformer TF101
  • Acer ICONIA A500
  • Samsung Galaxy Tab 10.1
  • Samaung Galaxy Tab 7.7
  • Sony Tablet S
  • Barnes & Noble NOOK Color, NOOK Tablet
  • Amazon Kindle Fire
  • TOSHIBA LT170
  • TOSHIBA AT200, AT300 (AT500 in JP)
  • TOSHIBA AT270 (AT470 in JP)
  • TOSHIBA AT300SE
  • TOSHIBA AT330 (AT830 in JP)
  • Nexus 7

 

Last updated 10/29/2012

Have more questions? Submit a request

0 Comments

Article is closed for comments.